Skip to content

List project content items

GET
/api/v1/projects/{project_id}/items

Returns all content items for the project, optionally filtered by status or data source.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Parameters

Path Parameters

project_id*
Type
string
Required
Format
"uuid"

Query Parameters

status
Type
string
source_id
Type
string
Format
"uuid"

Responses

Successful Response

application/json
JSON
[
  
{
  
  
"id": "string",
  
  
"external_id": "string",
  
  
"item_type": "string",
  
  
"source_data": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"generated_content": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"confidence_score": 0,
  
  
"status": "string",
  
  
"ai_model_used": "string",
  
  
"created_at": "string",
  
  
"data_source_id": "string",
  
  
"data_source_name": "string",
  
  
"metadata": {
  
  
  
"additionalProperties": "string"
  
  
},
  
  
"excluded_at": "string",
  
  
"generation_metadata": {
  
  
  
"additionalProperties": "string"
  
  
}
  
}
]

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI

XC AI Content Automation